Skip to main content

Untagged

Generated from apiome-rest/openapi.yaml (API version 1.204.1) — do not edit by hand. How to authenticate is on the REST API reference.

GET /​

Root

Root endpoint.

Operation id: root__get

Responses

StatusDescriptionBody
200Successful response for root.application/json any

GET /v1/arazzo/{tenant_slug}/{project_slug}/{version_slug}​

Get Version Arazzo Spec

Get the complete Arazzo workflow specification for all classes in a version. Uses content negotiation to determine response format (JSON or YAML).

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") x_api_key: Optional API key for private versions (header) api_key: Optional API key for private versions (query, for links) accept: Accept header for content negotiation

Returns: Arazzo 1.0.1 specification in JSON or YAML format

Operation id: get_version_arazzo_spec_v1_arazzo__tenant_slug___project_slug___version_slug__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
api_keyquerystring or nullnoAPI key for private versions (alternative to X-API-Key header)
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.
acceptheaderstring or nullnoRequested response content type (Accept header).

Responses

StatusDescriptionBody
200Successful response for get version arazzo spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/arazzo/{tenant_slug}/{project_slug}/{version_slug}/{class_name}​

Get Class Arazzo Spec

Get the Arazzo workflow specification for a single class. Uses content negotiation to determine response format (JSON or YAML).

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") class_name: The name of the class x_api_key: Optional API key for private versions accept: Accept header for content negotiation

Returns: Arazzo 1.0.1 specification for the class in JSON or YAML format

Operation id: get_class_arazzo_spec_v1_arazzo__tenant_slug___project_slug___version_slug___class_name__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
class_namepathstringyesClass name within the version.
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.
acceptheaderstring or nullnoRequested response content type (Accept header).

Responses

StatusDescriptionBody
200Successful response for get class arazzo spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/json/{tenant_slug}/{project_slug}/{version_slug}​

Get Version Jsonschema Spec

Get the complete JSON Schema specification for all classes in a version. Uses content negotiation to determine response format (JSON or YAML).

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") x_api_key: Optional API key for private versions (header) api_key: Optional API key for private versions (query, for links) accept: Accept header for content negotiation

Returns: JSON Schema specification in JSON or YAML format

Operation id: get_version_jsonschema_spec_v1_json__tenant_slug___project_slug___version_slug__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
api_keyquerystring or nullnoAPI key for private versions (alternative to X-API-Key header)
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.
acceptheaderstring or nullnoRequested response content type (Accept header).

Responses

StatusDescriptionBody
200Successful response for get version jsonschema spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/json/{tenant_slug}/{project_slug}/{version_slug}/{class_name}​

Get Class Jsonschema Spec

Get the JSON Schema specification for a single class. Uses content negotiation to determine response format (JSON or YAML).

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") class_name: The name of the class x_api_key: Optional API key for private versions accept: Accept header for content negotiation

Returns: JSON Schema specification for the class in JSON or YAML format

Operation id: get_class_jsonschema_spec_v1_json__tenant_slug___project_slug___version_slug___class_name__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
class_namepathstringyesClass name within the version.
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.
acceptheaderstring or nullnoRequested response content type (Accept header).

Responses

StatusDescriptionBody
200Successful response for get class jsonschema spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/schema/{tenant_slug}/{project_slug}/{version_slug}​

Get Version Openapi Spec

Get the complete OpenAPI specification for all classes in a version.

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") x_api_key: Optional API key for private versions (header) api_key: Optional API key for private versions (query, for links)

Returns: OpenAPI 3.1.0 specification in JSON format

Operation id: get_version_openapi_spec_v1_schema__tenant_slug___project_slug___version_slug__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
api_keyquerystring or nullnoAPI key for private versions (alternative to X-API-Key header)
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.

Responses

StatusDescriptionBody
200Successful response for get version openapi spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/schema/{tenant_slug}/{project_slug}/{version_slug}/{class_name}​

Get Class Openapi Spec

Get the OpenAPI specification for a single class. Uses content negotiation to determine response format (JSON or YAML).

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") class_name: The name of the class x_api_key: Optional API key for private versions accept: Accept header for content negotiation

Returns: OpenAPI 3.1.0 specification for the class in JSON or YAML format

Operation id: get_class_openapi_spec_v1_schema__tenant_slug___project_slug___version_slug___class_name__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
class_namepathstringyesClass name within the version.
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.
acceptheaderstring or nullnoRequested response content type (Accept header).

Responses

StatusDescriptionBody
200Successful response for get class openapi spec.application/json any
422Validation Errorapplication/json HTTPValidationError

GET /v1/swagger/{tenant_slug}/{project_slug}/{version_slug}​

Get Swagger Ui

Display the OpenAPI specification in a Swagger UI interface.

Args: tenant_slug: The tenant slug project_slug: The project slug version_slug: The version ID (e.g., "1.0.0") x_api_key: Optional API key for private versions (header) api_key: Optional API key for private versions (query, for links)

Returns: HTML page with Swagger UI displaying the schema

Operation id: get_swagger_ui_v1_swagger__tenant_slug___project_slug___version_slug__get

Parameters

NameInTypeRequiredDescription
tenant_slugpathstringyesURL-safe tenant slug that scopes the request.
project_slugpathstringyesURL-safe project slug within the tenant.
version_slugpathstringyesSemantic version label or version slug (for example 1.0.0).
api_keyquerystring or nullnoAPI key for private versions (alternative to X-API-Key header)
X-API-Keyheaderstring or nullnoTenant-scoped API key used as an alternative to JWT bearer authentication.

Responses

StatusDescriptionBody
200Successful response for get swagger ui.text/html string
422Validation Errorapplication/json HTTPValidationError

Schemas used​

HTTPValidationError​

Validation error response emitted when request data fails schema checks.

PropertyTypeRequiredDescription
detailarray of ValidationErrornoDetail.